"""This module contains the access checks
"""


__authors__ = [
  '"Madhusudan.C.S" <madhusudancs@gmail.com>',
]


def checkAccess(func, request):
  """ To check the access of the user and then return the appropriate function 
object
 """
  user_kind = rights[func.__name__]
  if user.is_authenticated():
    if user_kind == 'staff':
      if user.is_staff:
        return func(request)
      else:
        return 
        
    if user_kind == 'proposer':
      if not user.is_staff:
        return func(request)
      else:
        return
    